Groovy 1.7.10

## org.codehaus.groovy.control.messages
[Java] Class SimpleMessage

    java.lang.Object
      org.codehaus.groovy.control.messages.Message
          org.codehaus.groovy.control.messages.SimpleMessage

    public class SimpleMessage
    extends Message

A base class for compilation messages.

Authors:
  Chris Poirier

Version:
  \$Id: SimpleMessage.java 6778 2007-07-02 10:40:33Z glaforge \$

Field Summary
`protected Object` | `data`
`protected String` | `message`
`protected ProcessingUnit` | `owner`

Constructor Summary
`SimpleMessage(String message, ProcessingUnit source)`
`SimpleMessage(String message, Object data, ProcessingUnit source)`

Method Summary
`String` | `getMessage()`
`void` | `write(PrintWriter writer, Janitor janitor)`

Methods inherited from class Message
create, create, create, write, write

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### data

    protected Object data

### message

    protected String message

### owner

    protected ProcessingUnit owner

Constructor Detail

### SimpleMessage

    public SimpleMessage(String message, ProcessingUnit source)

### SimpleMessage

    public SimpleMessage(String message, Object data, ProcessingUnit source)

Method Detail

### getMessage

    public String getMessage()

### write

    public void write(PrintWriter writer, Janitor janitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.